<template>
  <section>
    <div>
      Protected page
    </div>
    <div v-if="user">
      <div>User ID: {{ uid }}</div>
      <h3>Current User: {{ user.displayName }}</h3>
      <img v-if="user.photoURL" :src="user.photoURL" alt="" />
    </div>
  </section>
</template>

<script>
import { mapState } from 'vuex'

export default {
  layout: 'admin',
  computed: mapState({
    uid: (state) => state.user.uid,
    user: (state) => state.user.data
  })
}
</script>
